%define upstream_name    MooseX-Traits
%define upstream_version 0.13

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Automatically apply roles at object creation time
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::use::ok)
BuildRequires: perl(namespace::autoclean)
Requires:      perl(namespace::autoclean)

BuildArch: noarch


%{?perl_default_filter}

%description
Often you want to create components that can be added to a class
arbitrarily. This module makes it easy for the end user to use these
components. Instead of requiring the user to create a named class with the
desired roles applied, or applying roles to the instance one-by-one, he can
just pass a 'traits' parameter to the class's 'new_with_traits'
constructor. This role will then apply the roles in one go, cache the
resulting class (for efficiency), and return a new instance. Arguments
meant to initialize the applied roles' attributes can also be passed to the
constructor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.130.0-6.mga9
+ Revision: 1804752
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.130.0-5.mga8
+ Revision: 1495681
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.130.0-4.mga7
+ Revision: 1269624
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.130.0-3.mga6
+ Revision: 1030662
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.130.0-2.mga6
+ Revision: 969363
- Mageia 6 Mass Rebuild

* Sun Aug 23 2015 sander85 <sander85> 0.130.0-1.mga6
+ Revision: 868573
- update to 0.13

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-4.mga5
+ Revision: 750589
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 0.120.0-3.mga5
+ Revision: 735859
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.120.0-2.mga5
+ Revision: 685573
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.120.0-1.mga5
+ Revision: 585878
- update to 0.12

* Fri Oct 18 2013 umeabot <umeabot> 0.110.0-3.mga4
+ Revision: 513238
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-2.mga3
+ Revision: 370312
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 25 2011 jquelin <jquelin> 0.110.0-1.mga1
+ Revision: 38628
- mageia rebuild
- imported package perl-MooseX-Traits


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.110.0-1mdv2011.0
+ Revision: 552423
- update to 0.11

* Wed Apr 07 2010 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.1
+ Revision: 532714
- update to 0.09

* Sun Feb 14 2010 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.1
+ Revision: 505680
- update to 0.08

* Fri Aug 28 2009 Michael Scherer <misc@mandriva.org> 0.70.0-2mdv2010.0
+ Revision: 422011
- add missing requires, not found by autoreq as there the module is lowercase

* Mon Aug 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.70.0-1mdv2010.0
+ Revision: 420470
- adding missing buildrequires:
- update to 0.07

* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.60.0-1mdv2010.0
+ Revision: 404042
- rebuild using %%perl_convert_version

* Tue Jun 30 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2010.0
+ Revision: 390838
- update to new version 0.06

* Tue Jun 02 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2010.0
+ Revision: 382297
- update to new version 0.05

* Sun Feb 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2009.1
+ Revision: 343969
- import perl-MooseX-Traits


* Sun Feb 22 2009 cpan2dist 0.03-1mdv
- initial mdv release, generated with cpan2dist

